Bug 460820 - msg_footer gets its trailing spaces trimmed
msg_footer gets its trailing spaces trimmed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 10:49 EDT by Jan Kratochvil
Modified: 2008-10-29 04:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 04:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch (745 bytes, patch)
2008-10-29 03:56 EDT, Daniel Novotny
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2008-09-01 10:49:13 EDT
Description of problem:
After upgrading F9 to F10rawhide my mailing list started to corrupt the standard message signature delimiters.

Version-Release number of selected component (if applicable):
(broken) mailman-2.1.11-3.fc10.x86_64 (produces X-Mailman-Version: 2.1.11)
(correct) mailman on my box was producing: X-Mailman-Version: 2.1.9

How reproducible:
Tried once.

Steps to Reproduce:
1. Create a mailing list.
2. Put into its msg_footer:
-- $
_____________________________________________________$
%(real_name)s e-mail konference pro$
[ please cut the trailing single `$' character ]
3. Send a mail.
  
Actual results:
--$
_____________________________________________________$
%(real_name)s e-mail konference pro$

Expected results:
-- $
_____________________________________________________$
%(real_name)s e-mail konference pro$

Additional info:
This is a standard message signature described in many Internet documents:
http://www.guckes.net/mail/sig.etiquette.html#sigdashes

Having filter_content=no.
No digest delivery was involved.
Comment 1 Daniel Novotny 2008-10-27 06:56:12 EDT
the code, which simply changed "\r\n" to "\n" in the previous version of Mailman, now strips trailing spaces from the lines: I asked upstream, why they made this change.
Comment 2 Daniel Novotny 2008-10-29 03:56:06 EDT
Created attachment 321764 [details]
a patch

they want to preserve format=flowed in the
Content-Type: header, that is why they made this change:

adjusted in the way the footer is not trimmed
Comment 3 Jan Kratochvil 2008-10-29 04:04:57 EDT
Thanks, OK.
Comment 4 Daniel Novotny 2008-10-29 04:46:55 EDT
mailman-2.1.11-4.fc10 will be in F10 updates...

Note You need to log in before you can comment on or make changes to this bug.